Current user
GET
/me
Retrieve the profile of the currently logged in user.
Treść odpowiedzi
activeSessions
integer
wymagane
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
wymagane
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
wymagane
Email addresses associated with user.
Pokaż atrybuty podrzędne
emails.createdAt
string
wymagane
When this record was created.
emails.email
string
wymagane
The email address.
emails.id
string
wymagane
ID of the email record.
emails.passwordSet
boolean
wymagane
Whether there is a password set for this email address.
emails.tokenSet
boolean
wymagane
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
wymagane
ID of the user this record is associated with.
emails.verified
boolean
wymagane
Whether the email address is verified.
id
string
wymagane
ID of the user
identities
array of object
Third-party identities associated with user.
Pokaż atrybuty podrzędne
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
wymagane
The display name for the user
phoneNumber
string
phoneNumbers
array of object
wymagane
The phone numbers associated with the user.
Pokaż atrybuty podrzędne
phoneNumbers.createdAt
string
wymagane
phoneNumbers.id
string
wymagane
phoneNumbers.phoneNumber
string
wymagane
phoneNumbers.primary
boolean
wymagane
phoneNumbers.updatedAt
string
wymagane
phoneNumbers.userId
string
wymagane
phoneNumbers.verified
boolean
wymagane
status
string
wymagane
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
wymagane
When the user was last updated.
userFraudInformation
object
Pokaż atrybuty podrzędne
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Przykład kodu
curl -X GET 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/me
Update the profile of the currently logged in user.
Treść żądania
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
Treść odpowiedzi
activeSessions
integer
wymagane
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
wymagane
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
wymagane
Email addresses associated with user.
Pokaż atrybuty podrzędne
emails.createdAt
string
wymagane
When this record was created.
emails.email
string
wymagane
The email address.
emails.id
string
wymagane
ID of the email record.
emails.passwordSet
boolean
wymagane
Whether there is a password set for this email address.
emails.tokenSet
boolean
wymagane
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
wymagane
ID of the user this record is associated with.
emails.verified
boolean
wymagane
Whether the email address is verified.
id
string
wymagane
ID of the user
identities
array of object
Third-party identities associated with user.
Pokaż atrybuty podrzędne
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
wymagane
The display name for the user
phoneNumber
string
phoneNumbers
array of object
wymagane
The phone numbers associated with the user.
Pokaż atrybuty podrzędne
phoneNumbers.createdAt
string
wymagane
phoneNumbers.id
string
wymagane
phoneNumbers.phoneNumber
string
wymagane
phoneNumbers.primary
boolean
wymagane
phoneNumbers.updatedAt
string
wymagane
phoneNumbers.userId
string
wymagane
phoneNumbers.verified
boolean
wymagane
status
string
wymagane
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
wymagane
When the user was last updated.
userFraudInformation
object
Pokaż atrybuty podrzędne
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Przykład kodu
curl -X PATCH 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
Przykład kodu
curl -X DELETE 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'